org.apache.poi.hssf.record

## Class OldSheetRecord

- java.lang.Object
- - org.apache.poi.hssf.record.OldSheetRecord

-     public final class OldSheetRecord
      extends java.lang.Object

  Title: Bound Sheet Record (aka BundleSheet) (0x0085) for BIFF 5

  Description: Defines a sheet within a workbook. Basically stores the sheet name and tells where the Beginning of file record is within the HSSF file.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static short` | `sid`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OldSheetRecord(RecordInputStream in)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getPositionOfBof()` get the offset in bytes of the Beginning of File Marker within the HSSF Stream part of the POIFS file
    `java.lang.String` | `getSheetname()` get the sheetname for this sheet.
    `short` | `getSid()`
    `void` | `setCodePage(CodepageRecord codepage)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### sid

          public static final short sid

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### OldSheetRecord

          public OldSheetRecord(RecordInputStream in)

  - ### Method Detail

    - #### setCodePage

          public void setCodePage(CodepageRecord codepage)

    - #### getSid

          public short getSid()

    - #### getPositionOfBof

          public int getPositionOfBof()

      get the offset in bytes of the Beginning of File Marker within the HSSF Stream part of the POIFS file
      Returns:
        offset in bytes

    - #### getSheetname

          public java.lang.String getSheetname()

      get the sheetname for this sheet. (this appears in the tabs at the bottom)
      Returns:
        sheetname the name of the sheet

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.